//Origami Simulator C++ version 5/13/2004

#ifdef _WIN32
#include <windows.h>
#endif

#include <GL/gl.h>
#include "glut.h"
//#include <GL/glut.h>

//OG library files
#include "og/og.h"

#include "source/mainx.cpp"

int main( int argc, char **argv ){
	glutInit( &argc, argv );
	glutInitDisplayMode( GLUT_DOUBLE | GLUT_RGB );
	glutInitWindowSize( 640, 480 );
	glutCreateWindow( "Origami Simulation C++" );

	glutReshapeFunc( reshape );
	glutDisplayFunc( display );
	glutIdleFunc( idle );
	glutMouseFunc( mouse );
	glutMotionFunc( motion );
	glutKeyboardFunc( keyboard );
	glutKeyboardUpFunc( keyboardUp );
	glutSpecialFunc( special );
	glutSpecialUpFunc( specialUp );
	glutCreateMenu( menu );
	glutAddMenuEntry( "Quit (Q)", 1 );
	glutAddMenuEntry( "Rotation On/Off (R)", 2 );
	glutAddMenuEntry( "Coordinates Axis On/Off (A)", 3 );
	glutAddMenuEntry( "Save Folding", 4 );
	glutAddMenuEntry( "Load Folding", 5 );
	glutAddMenuEntry("Animation On/Off", 6);
	glutAddMenuEntry("Undo a Fold (Z)", 7);
	glutAddMenuEntry("Initialize Folds (I)", 8);
	glutAttachMenu( GLUT_RIGHT_BUTTON );
 
	initialize();
	
	glutMainLoop();
	return 0;
}
